Package com.evopdf

# Enum DocumentOpType

java.lang.Object
java.lang.Enum<DocumentOpType>
com.evopdf.DocumentOpType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentOpType>`, `java.lang.constant.Constable`

public enum DocumentOpType extends Enum<DocumentOpType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AddBookmark`
  `AddElementToDocument`
  `AddElementToPage`
  `AddFileAttachment`
  `AddFooter`
  `AddFormField`
  `AddHeader`
  `AddPage`
  `AppendDocument`
  `FlattenPdfForm`
  `InsertDocument`
  `InsertPage`
  `None`
  `SetCheckedFormRadioButton`
  `SetGoToPdfAction`
  `SetJavaScriptPdfAction`
  `SetResetFormPdfAction`
  `SetShowPageFooter`
  `SetShowPageHeader`
  `SetSubmitFormPdfAction`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static DocumentOpType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DocumentOpType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final DocumentOpType None

  - ### AddPage

    public static final DocumentOpType AddPage

  - ### InsertPage

    public static final DocumentOpType InsertPage

  - ### AddElementToPage

    public static final DocumentOpType AddElementToPage

  - ### AddElementToDocument

    public static final DocumentOpType AddElementToDocument

  - ### AddHeader

    public static final DocumentOpType AddHeader

  - ### AddFooter

    public static final DocumentOpType AddFooter

  - ### AppendDocument

    public static final DocumentOpType AppendDocument

  - ### InsertDocument

    public static final DocumentOpType InsertDocument

  - ### AddFileAttachment

    public static final DocumentOpType AddFileAttachment

  - ### SetShowPageHeader

    public static final DocumentOpType SetShowPageHeader

  - ### SetShowPageFooter

    public static final DocumentOpType SetShowPageFooter

  - ### SetGoToPdfAction

    public static final DocumentOpType SetGoToPdfAction

  - ### SetJavaScriptPdfAction

    public static final DocumentOpType SetJavaScriptPdfAction

  - ### SetSubmitFormPdfAction

    public static final DocumentOpType SetSubmitFormPdfAction

  - ### SetResetFormPdfAction

    public static final DocumentOpType SetResetFormPdfAction

  - ### AddBookmark

    public static final DocumentOpType AddBookmark

  - ### AddFormField

    public static final DocumentOpType AddFormField

  - ### SetCheckedFormRadioButton

    public static final DocumentOpType SetCheckedFormRadioButton

  - ### FlattenPdfForm

    public static final DocumentOpType FlattenPdfForm

- ## Method Details

  - ### values

    public static DocumentOpType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DocumentOpType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()